| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RpcServerSchedulingStrategy Class Referenceabstract

An interface with generic RPC requests functionality. More...

`#include <RpcServerSchedulingStrategy.hpp>`

## Public Member Functions

virtual | ~RpcServerSchedulingStrategy () noexcept=default
| Destructor.
virtual void | schedule_request (const std::shared_ptr< RpcRequest > &request, const std::shared_ptr< RpcServer > &server)=0
| Schedule a request for processing.
virtual void | server_stopped (const std::shared_ptr< RpcServer > &server)=0
| Informs that a server has been stopped and all its requests have been cancelled.

## Detailed Description

An interface with generic RPC requests functionality.

## Constructor & Destructor Documentation

## ◆ ~RpcServerSchedulingStrategy()

virtual ~RpcServerSchedulingStrategy | ( |  | ) |

virtual default noexcept

Destructor.

## Member Function Documentation

## ◆ schedule_request()

virtual void schedule_request | ( | const std::shared_ptr< RpcRequest > & | request,
|  | const std::shared_ptr< RpcServer > & | server )

pure virtual

Schedule a request for processing.

This method is called when a request is received and should be processed by the server. The implementation should decide how to handle the request, whether to process it immediately, or to queue it for later processing.

A call to server->execute_request(request) should eventually be made to process the request.

Parameters

  request | The request to schedule.
  server | The server instance that should process the request.

## ◆ server_stopped()

virtual void server_stopped | ( | const std::shared_ptr< RpcServer > & | server | ) |

pure virtual

Informs that a server has been stopped and all its requests have been cancelled.

Parameters

  server | The server instance that has been stopped.

The documentation for this class was generated from the following file:

- include/fastdds/dds/rpc/interfaces/RpcServerSchedulingStrategy.hpp